## r-cran-flextable 0.8.4

=== DESCRIPTION ===
Package: flextable
Type: Package
Title: Functions for Tabular Reporting
Version: 0.8.4
Authors@R: c(
    person("David", "Gohel", role = c("aut", "cre"),
    email = "david.gohel@ardata.fr"),
    person(given = "ArData", role = "cph"),
    person("Clementine", "Jager", role = "ctb"),
    person("Panagiotis", "Skintzos", role = "aut", email = "panagiotis.skintzos@ardata.fr"),
    person("Quentin", "Fazilleau", role = "ctb"),
    person("Maxim", "Nazarov", role = "ctb", comment = "rmarkdown for docx output"),
    person("Titouan", "Robert", role = "ctb"),
    person("Michael", "Barrowman", role = "ctb", comment = "inline footnotes"),
    person("Atsushi", "Yasumoto", role = "ctb", comment = "support for bookdown cross reference"),
    person("Paul", "Julian", role = "ctb", comment = "support for gam objects"),
    person("Sean", "Browning", role = "ctb", comment = "work on footnote positioning system"),
    person("Rémi", "Thériault", role = "ctb", comment = c(ORCID = "0000-0003-4315-6788", ctb = "theme_apa"))
    )
Description: Create pretty tables for 'HTML', 'PDF', 'Microsoft Word', 'Microsoft PowerPoint'
  documents from 'R Markdown' and as 'Grid Graphics' objects. Functions are provided to let users 
  create tables, modify and format their content. It also extends package 'officer' that does 
  not contain any feature for customized tabular reporting.
License: GPL-3
Imports: stats, utils, grDevices, graphics, officer (>= 0.5.1),
        rmarkdown, knitr, htmltools, xml2, data.table (>= 1.13.0), uuid
        (>= 0.1-4), gdtools (>= 0.1.6), rlang, base64enc, grid
RoxygenNote: 7.2.3
Suggests: testthat (>= 2.1.0), magick, equatags, commonmark, ggplot2,
        scales, webshot2, doconv (>= 0.3.0), xtable, broom,
        broom.mixed, mgcv, cluster, lme4, nlme, bookdown, pdftools,
        officedown
Encoding: UTF-8
URL: https://ardata-fr.github.io/flextable-book/,
        https://davidgohel.github.io/flextable/
BugReports: https://github.com/davidgohel/flextable/issues
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2023-01-21 00:18:53 UTC; davidgohel
Author: David Gohel [aut, cre],
  ArData [cph],
  Clementine Jager [ctb],
  Panagiotis Skintzos [aut],
  Quentin Fazilleau [ctb],
  Maxim Nazarov [ctb] (rmarkdown for docx output),
  Titouan Robert [ctb],
  Michael Barrowman [ctb] (inline footnotes),
  Atsushi Yasumoto [ctb] (support for bookdown cross reference),
  Paul Julian [ctb] (support for gam objects),
  Sean Browning [ctb] (work on footnote positioning system),
  Rémi Thériault [ctb] (<https://orcid.org/0000-0003-4315-6788>,
    theme_apa)
Maintainer: David Gohel <david.gohel@ardata.fr>
Repository: CRAN
Date/Publication: 2023-01-21 01:10:02 UTC

## r-cran-flextable 0.7.3

=== debian/changelog ===
r-cran-flextable (0.7.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 15 Aug 2022 08:20:32 +0200

r-cran-flextable (0.7.2-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jun 2022 11:55:01 +0200

r-cran-flextable (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7.1
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 09 Jun 2022 08:25:27 +0530

r-cran-flextable (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Exclude a test which works awesome locally but autopkgtest
    has other plans

 -- Nilesh Patra <nilesh@debian.org>  Mon, 30 May 2022 18:11:50 +0530

r-cran-flextable (0.7.0-1) unstable; urgency=medium

  * Initial release (closes: #1009011)

 -- Andreas Tille <tille@debian.org>  Wed, 06 Apr 2022 11:20:34 +0200

=== debian/control ===
Source: r-cran-flextable
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-officer,
               r-cran-rmarkdown,
               r-cran-knitr,
               r-cran-htmltools,
               r-cran-xml2,
               r-cran-data.table (>= 1.13.0),
               r-cran-uuid,
               r-cran-gdtools,
               r-cran-rlang,
               r-cran-base64enc
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-flextable
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-flextable.git
Homepage: https://cran.r-project.org/package=flextable
Rules-Requires-Root: no

Package: r-cran-flextable
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R functions for tabular reporting
 Create pretty tables for 'HTML', 'PDF', 'Microsoft Word' and 'Microsoft
 PowerPoint' documents from 'R Markdown'. Functions are provided to let
 users create tables, modify and format their content. It also extends
 package 'officer' that does not contain any feature for customized
 tabular reporting.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
         r-cran-xtable,
         r-cran-webshot,
         r-cran-magick,
         r-cran-ggplot2,
         r-cran-scales,
         r-cran-broom,
         r-cran-mgcv,
         r-cran-bookdown,
#         r-cran-equatags,
         r-cran-commonmark,
         r-cran-pdftools,
         pandoc,
         pandoc-citeproc,
         texlive-latex-base
Restrictions: allow-stderr

## r-cran-flextable 0.8.4

=== debian/changelog ===
r-cran-flextable (0.8.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Drop pandoc-citeproc from Test Depends since its removed from unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 12:13:29 +0100

r-cran-flextable (0.8.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 11 Nov 2022 07:27:34 +0100

r-cran-flextable (0.8.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 09:13:10 +0200

r-cran-flextable (0.8.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Sep 2022 10:59:56 +0200

r-cran-flextable (0.8.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2022 11:38:36 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                r-cran-gdtools,
                r-cran-rlang,
                r-cran-base64enc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-flextable
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-flextable.git
 Homepage: https://cran.r-project.org/package=flextable

=== debian/tests/control ===
--- 
+++ 
@@ -13,6 +13,5 @@
          r-cran-commonmark,
          r-cran-pdftools,
          pandoc,
-         pandoc-citeproc,
          texlive-latex-base
 Restrictions: allow-stderr

## r-cran-flextable 0.9.2

=== debian/changelog ===
r-cran-flextable (0.9.2-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-data.table (>= 1.13.0).

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2023 19:43:16 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 2.1.0),
        r-cran-magick,
        r-cran-commonmark,
        r-cran-ggplot2,
        r-cran-scales,
        r-cran-xtable,
        r-cran-broom,
        r-cran-broom.mixed,
        r-cran-mgcv,
        r-cran-cluster,
        r-cran-lme4,
        r-cran-nlme,
        r-cran-bookdown (>= 0.34),
        r-cran-pdftools,
        r-cran-pkgdown (>= 2.0.0),
        pandoc,
        texlive-latex-base
Restrictions: allow-stderr

## r-cran-flextable 0.9.4

=== DESCRIPTION ===
Package: flextable
Type: Package
Title: Functions for Tabular Reporting
Version: 0.9.4
Authors@R: c(
    person("David", "Gohel", role = c("aut", "cre"),
    email = "david.gohel@ardata.fr"),
    person(given = "ArData", role = "cph"),
    person("Clementine", "Jager", role = "ctb"),
    person("Panagiotis", "Skintzos", role = "aut", email = "panagiotis.skintzos@ardata.fr"),
    person("Quentin", "Fazilleau", role = "ctb"),
    person("Maxim", "Nazarov", role = "ctb", comment = "rmarkdown for docx output"),
    person("Titouan", "Robert", role = "ctb"),
    person("Michael", "Barrowman", role = "ctb", comment = "inline footnotes"),
    person("Atsushi", "Yasumoto", role = "ctb", comment = "support for bookdown cross reference"),
    person("Paul", "Julian", role = "ctb", comment = "support for gam objects"),
    person("Sean", "Browning", role = "ctb", comment = "work on footnote positioning system"),
    person("Rémi", "Thériault", role = "ctb", comment = c(ORCID = "0000-0003-4315-6788", ctb = "theme_apa")),
    person("Samuel", "Jobert", role = "ctb", comment = "work on pagination")
    )
Description: Use a grammar for creating and customizing pretty tables. 
 The following formats are supported: 'HTML', 'PDF', 'RTF', 
 'Microsoft Word', 'Microsoft PowerPoint' and R 'Grid Graphics'. 
 'R Markdown', 'Quarto' and the package 'officer' can be used to produce 
 the result files. The syntax is the same for the user regardless of 
 the type of output to be produced. A set of functions allows the 
 creation, definition of cell arrangement, addition of headers or 
 footers, formatting and definition of cell content with text and 
 or images. The package also offers a set of high-level functions 
 that allow tabular reporting of statistical models and the 
 creation of complex cross tabulations.
License: GPL-3
Imports: stats, utils, grDevices, graphics, grid, rmarkdown, knitr,
        htmltools, rlang, ragg, officer (>= 0.6.2), gdtools (>= 0.3.3),
        xml2, data.table (>= 1.13.0), uuid (>= 0.1-4)
RoxygenNote: 7.2.3
Suggests: testthat (>= 2.1.0), magick, equatags, commonmark, ggplot2,
        scales, doconv (>= 0.3.0), xtable, tables (>= 0.9.17), broom,
        broom.mixed, mgcv, cluster, lme4, nlme, bookdown (>= 0.34),
        pdftools, officedown, pkgdown (>= 2.0.0), webshot2, svglite
Encoding: UTF-8
URL: https://ardata-fr.github.io/flextable-book/,
        https://davidgohel.github.io/flextable/
BugReports: https://github.com/davidgohel/flextable/issues
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2023-10-22 20:47:44 UTC; davidgohel
Author: David Gohel [aut, cre],
  ArData [cph],
  Clementine Jager [ctb],
  Panagiotis Skintzos [aut],
  Quentin Fazilleau [ctb],
  Maxim Nazarov [ctb] (rmarkdown for docx output),
  Titouan Robert [ctb],
  Michael Barrowman [ctb] (inline footnotes),
  Atsushi Yasumoto [ctb] (support for bookdown cross reference),
  Paul Julian [ctb] (support for gam objects),
  Sean Browning [ctb] (work on footnote positioning system),
  Rémi Thériault [ctb] (<https://orcid.org/0000-0003-4315-6788>,
    theme_apa),
  Samuel Jobert [ctb] (work on pagination)
Maintainer: David Gohel <david.gohel@ardata.fr>
Repository: CRAN
Date/Publication: 2023-10-22 22:00:03 UTC

=== debian/changelog ===
r-cran-flextable (0.9.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 27 Oct 2023 11:39:04 +0200

r-cran-flextable (0.9.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 11 Sep 2023 05:32:33 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-officer,
                r-cran-rmarkdown,
                r-cran-knitr,
                r-cran-htmltools,
+               r-cran-rlang,
+               r-cran-ragg,
+               r-cran-officer (>= 0.6.2),
+               r-cran-gdtools (>= 0.3.3),
                r-cran-xml2,
-               r-cran-data.table (>= 1.13.0),
-               r-cran-uuid,
-               r-cran-gdtools,
-               r-cran-rlang,
-               r-cran-base64enc
+               r-cran-data.table,
+               r-cran-uuid
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-flextable
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-flextable.git

=== debian/tests/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
         r-cran-bookdown (>= 0.34),
         r-cran-pdftools,
         r-cran-pkgdown (>= 2.0.0),
+        r-cran-svglite,
         pandoc,
         texlive-latex-base
 Restrictions: allow-stderr

## r-cran-flextable 0.9.6

=== DESCRIPTION ===
Type: Package
Package: flextable
Title: Functions for Tabular Reporting
Version: 0.9.6
Authors@R: c(
    person("David", "Gohel", , "david.gohel@ardata.fr", role = c("aut", "cre")),
    person("ArData", role = "cph"),
    person("Clementine", "Jager", role = "ctb"),
    person("Panagiotis", "Skintzos", , "panagiotis.skintzos@ardata.fr", role = "aut"),
    person("Quentin", "Fazilleau", role = "ctb"),
    person("Maxim", "Nazarov", role = "ctb",
           comment = "rmarkdown for docx output"),
    person("Titouan", "Robert", role = "ctb"),
    person("Michael", "Barrowman", role = "ctb",
           comment = "inline footnotes"),
    person("Atsushi", "Yasumoto", role = "ctb",
           comment = "support for bookdown cross reference"),
    person("Paul", "Julian", role = "ctb",
           comment = "support for gam objects"),
    person("Sean", "Browning", role = "ctb",
           comment = "work on footnote positioning system"),
    person("Rémi", "Thériault", role = "ctb",
           comment = c(ORCID = "0000-0003-4315-6788", ctb = "theme_apa")),
    person("Samuel", "Jobert", role = "ctb",
           comment = "work on pagination"),
    person("Keith", "Newman", role = "ctb")
  )
Description: Use a grammar for creating and customizing pretty tables.
    The following formats are supported: 'HTML', 'PDF', 'RTF', 'Microsoft
    Word', 'Microsoft PowerPoint' and R 'Grid Graphics'.  'R Markdown',
    'Quarto' and the package 'officer' can be used to produce the result
    files. The syntax is the same for the user regardless of the type of
    output to be produced. A set of functions allows the creation,
    definition of cell arrangement, addition of headers or footers,
    formatting and definition of cell content with text and or images. The
    package also offers a set of high-level functions that allow tabular
    reporting of statistical models and the creation of complex cross
    tabulations.
License: GPL-3
URL: https://ardata-fr.github.io/flextable-book/,
        https://davidgohel.github.io/flextable/
BugReports: https://github.com/davidgohel/flextable/issues
Imports: data.table (>= 1.13.0), gdtools (>= 0.3.6), graphics,
        grDevices, grid, htmltools, knitr, officer (>= 0.6.5), ragg,
        rlang, rmarkdown (>= 2.0), stats, utils, uuid (>= 0.1-4), xml2
Suggests: bookdown (>= 0.34), broom, broom.mixed, chromote, cluster,
        commonmark, doconv (>= 0.3.0), equatags, ggplot2, lme4, magick,
        mgcv, nlme, officedown, pdftools, pkgdown (>= 2.0.0), scales,
        svglite, tables (>= 0.9.17), testthat (>= 3.0.0), webshot2,
        withr, xtable
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-05-05 08:15:51 UTC; davidgohel
Author: David Gohel [aut, cre],
  ArData [cph],
  Clementine Jager [ctb],
  Panagiotis Skintzos [aut],
  Quentin Fazilleau [ctb],
  Maxim Nazarov [ctb] (rmarkdown for docx output),
  Titouan Robert [ctb],
  Michael Barrowman [ctb] (inline footnotes),
  Atsushi Yasumoto [ctb] (support for bookdown cross reference),
  Paul Julian [ctb] (support for gam objects),
  Sean Browning [ctb] (work on footnote positioning system),
  Rémi Thériault [ctb] (<https://orcid.org/0000-0003-4315-6788>,
    theme_apa),
  Samuel Jobert [ctb] (work on pagination),
  Keith Newman [ctb]
Maintainer: David Gohel <david.gohel@ardata.fr>
Repository: CRAN
Date/Publication: 2024-05-05 21:20:06 UTC

=== debian/changelog ===
r-cran-flextable (0.9.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 27 Jun 2024 08:36:23 +0900

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-data.table,
+               r-cran-gdtools (>= 0.3.6),
+               r-cran-htmltools,
+               r-cran-knitr,
+               r-cran-officer (>= 0.6.5),
+               r-cran-ragg,
+               r-cran-rlang,
                r-cran-rmarkdown,
-               r-cran-knitr,
-               r-cran-htmltools,
-               r-cran-rlang,
-               r-cran-ragg,
-               r-cran-officer (>= 0.6.2),
-               r-cran-gdtools (>= 0.3.3),
-               r-cran-xml2,
-               r-cran-data.table,
-               r-cran-uuid
-Standards-Version: 4.6.2
+               r-cran-uuid,
+               r-cran-xml2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-flextable
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-flextable.git
 Homepage: https://cran.r-project.org/package=flextable

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bookdown (>= 0.34),
        r-cran-broom,
        r-cran-broom.mixed,
        r-cran-cluster,
        r-cran-commonmark,
        r-cran-ggplot2,
        r-cran-lme4,
        r-cran-magick,
        r-cran-mgcv,
        r-cran-nlme,
        r-cran-pdftools,
        r-cran-pkgdown (>= 2.0.0),
        r-cran-scales,
        r-cran-svglite,
        r-cran-testthat (>= 3.0.0),
        r-cran-withr,
        r-cran-xtable,
        pandoc,
        texlive-latex-base
Restrictions: allow-stderr

## r-cran-flextable 0.9.7

=== DESCRIPTION ===
Type: Package
Package: flextable
Title: Functions for Tabular Reporting
Version: 0.9.7
Authors@R: c(
    person("David", "Gohel", , "david.gohel@ardata.fr", role = c("aut", "cre")),
    person("ArData", role = "cph"),
    person("Clementine", "Jager", role = "ctb"),
    person("Eli", "Daniels", role = "ctb"),
    person("Panagiotis", "Skintzos", , "panagiotis.skintzos@ardata.fr", role = "aut"),
    person("Quentin", "Fazilleau", role = "ctb"),
    person("Maxim", "Nazarov", role = "ctb"),
    person("Titouan", "Robert", role = "ctb"),
    person("Michael", "Barrowman", role = "ctb"),
    person("Atsushi", "Yasumoto", role = "ctb"),
    person("Paul", "Julian", role = "ctb"),
    person("Sean", "Browning", role = "ctb"),
    person("Rémi", "Thériault", role = "ctb",
           comment = c(ORCID = "0000-0003-4315-6788")),
    person("Samuel", "Jobert", role = "ctb"),
    person("Keith", "Newman", role = "ctb")
  )
Description: Use a grammar for creating and customizing pretty tables.
    The following formats are supported: 'HTML', 'PDF', 'RTF', 'Microsoft
    Word', 'Microsoft PowerPoint' and R 'Grid Graphics'.  'R Markdown',
    'Quarto' and the package 'officer' can be used to produce the result
    files. The syntax is the same for the user regardless of the type of
    output to be produced. A set of functions allows the creation,
    definition of cell arrangement, addition of headers or footers,
    formatting and definition of cell content with text and or images. The
    package also offers a set of high-level functions that allow tabular
    reporting of statistical models and the creation of complex cross
    tabulations.
License: GPL-3
URL: https://ardata-fr.github.io/flextable-book/,
        https://davidgohel.github.io/flextable/
BugReports: https://github.com/davidgohel/flextable/issues
Imports: data.table (>= 1.13.0), gdtools (>= 0.4.0), graphics,
        grDevices, grid, htmltools, knitr, officer (>= 0.6.7), ragg,
        rlang, rmarkdown (>= 2.0), stats, utils, uuid (>= 0.1-4), xml2
Suggests: bookdown (>= 0.40), broom, broom.mixed, chromote, cluster,
        commonmark, doconv (>= 0.3.0), equatags, ggplot2, lme4, magick,
        mgcv, nlme, officedown, pdftools, pkgdown (>= 2.0.0), scales,
        svglite, tables (>= 0.9.17), testthat (>= 3.0.0), webshot2,
        withr, xtable
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-10-27 19:17:30 UTC; davidgohel
Author: David Gohel [aut, cre],
  ArData [cph],
  Clementine Jager [ctb],
  Eli Daniels [ctb],
  Panagiotis Skintzos [aut],
  Quentin Fazilleau [ctb],
  Maxim Nazarov [ctb],
  Titouan Robert [ctb],
  Michael Barrowman [ctb],
  Atsushi Yasumoto [ctb],
  Paul Julian [ctb],
  Sean Browning [ctb],
  Rémi Thériault [ctb] (<https://orcid.org/0000-0003-4315-6788>),
  Samuel Jobert [ctb],
  Keith Newman [ctb]
Maintainer: David Gohel <david.gohel@ardata.fr>
Repository: CRAN
Date/Publication: 2024-10-27 20:10:02 UTC

=== debian/changelog ===
r-cran-flextable (0.9.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 10:09:47 +0900

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-r,
                r-base-dev,
                r-cran-data.table,
-               r-cran-gdtools (>= 0.3.6),
+               r-cran-gdtools (>= 0.4.0),
                r-cran-htmltools,
                r-cran-knitr,
-               r-cran-officer (>= 0.6.5),
+               r-cran-officer (>= 0.6.7),
                r-cran-ragg,
                r-cran-rlang,
                r-cran-rmarkdown,

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: run-unit-test
 Depends: @,
-         r-cran-bookdown (>= 0.34),
+         r-cran-bookdown (>= 0.40),
         r-cran-broom,
         r-cran-broom.mixed,
         r-cran-cluster,

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/flextable_([-\d.]*)\.tar\.gz

## r-cran-flextable 0.9.10

=== debian/changelog ===
r-cran-flextable (0.9.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Dec 2025 17:49:08 +0900

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,15 @@
                r-cran-gdtools (>= 0.4.0),
                r-cran-htmltools,
                r-cran-knitr,
-               r-cran-officer (>= 0.6.7),
+               r-cran-officer (>= 0.6.10),
                r-cran-ragg,
                r-cran-rlang,
                r-cran-rmarkdown,
                r-cran-uuid,
-               r-cran-xml2
-Standards-Version: 4.7.0
+               r-cran-xml2,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-flextable
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-flextable.git
 Homepage: https://cran.r-project.org/package=flextable

## r-cran-flextable 0.9.11

=== DESCRIPTION ===
Type: Package
Package: flextable
Title: Functions for Tabular Reporting
Version: 0.9.11
Authors@R: c(
    person("David", "Gohel", , "david.gohel@ardata.fr", role = c("aut", "cre")),
    person("ArData", role = "cph"),
    person("Clementine", "Jager", role = "ctb"),
    person("Eli", "Daniels", role = "ctb"),
    person("Panagiotis", "Skintzos", , "panagiotis.skintzos@ardata.fr", role = "aut"),
    person("Quentin", "Fazilleau", role = "ctb"),
    person("Maxim", "Nazarov", role = "ctb"),
    person("Titouan", "Robert", role = "ctb"),
    person("Michael", "Barrowman", role = "ctb"),
    person("Atsushi", "Yasumoto", role = "ctb"),
    person("Paul", "Julian", role = "ctb"),
    person("Sean", "Browning", role = "ctb"),
    person("Rémi", "Thériault", role = "ctb",
           comment = c(ORCID = "0000-0003-4315-6788")),
    person("Samuel", "Jobert", role = "ctb"),
    person("Keith", "Newman", role = "ctb")
  )
Description: Use a grammar for creating and customizing pretty tables.
    The following formats are supported: 'HTML', 'PDF', 'RTF', 'Microsoft
    Word', 'Microsoft PowerPoint', R 'Grid Graphics' and 'patchwork'.
    'R Markdown', 'Quarto' and the package 'officer' can be used to
    produce the result files. The syntax is the same for the user
    regardless of the type of output to be produced. A set of functions
    allows the creation, definition of cell arrangement, addition of
    headers or footers, formatting and definition of cell content with
    text and or images. The package also offers a set of high-level
    functions that allow tabular reporting of statistical models and the
    creation of complex cross tabulations.
License: GPL-3
URL: https://ardata-fr.github.io/flextable-book/,
        https://davidgohel.github.io/flextable/
BugReports: https://github.com/davidgohel/flextable/issues
Imports: data.table (>= 1.13.0), gdtools (>= 0.5.0), graphics,
        grDevices, grid, htmltools, knitr, officer (>= 0.7.3), ragg,
        rlang, rmarkdown (>= 2.0), stats, utils, uuid (>= 0.1-4), xml2
Suggests: bookdown (>= 0.40), broom, broom.mixed, chromote, cluster,
        commonmark, doconv (>= 0.3.0), equatags, ggplot2, gtable,
        jsonlite, lme4, magick, mgcv, nlme, officedown, patchwork,
        pdftools, pkgdown (>= 2.0.0), scales, svglite, tables (>=
        0.9.17), testthat (>= 3.0.0), webshot2, withr, xtable
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.3
NeedsCompilation: no
Packaged: 2026-02-12 17:16:00 UTC; davidgohel
Author: David Gohel [aut, cre],
  ArData [cph],
  Clementine Jager [ctb],
  Eli Daniels [ctb],
  Panagiotis Skintzos [aut],
  Quentin Fazilleau [ctb],
  Maxim Nazarov [ctb],
  Titouan Robert [ctb],
  Michael Barrowman [ctb],
  Atsushi Yasumoto [ctb],
  Paul Julian [ctb],
  Sean Browning [ctb],
  Rémi Thériault [ctb] (ORCID: <https://orcid.org/0000-0003-4315-6788>),
  Samuel Jobert [ctb],
  Keith Newman [ctb]
Maintainer: David Gohel <david.gohel@ardata.fr>
Repository: CRAN
Date/Publication: 2026-02-13 07:00:42 UTC

=== debian/changelog ===
r-cran-flextable (0.9.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 18 Feb 2026 08:21:46 +0900

=== debian/control ===
Source: r-cran-flextable
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-data.table,
 r-cran-gdtools (>= 0.5.0),
 r-cran-htmltools,
 r-cran-knitr,
 r-cran-officer (>= 0.7.3),
 r-cran-ragg,
 r-cran-rlang,
 r-cran-rmarkdown,
 r-cran-uuid,
 r-cran-xml2,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-flextable
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-flextable.git
Homepage: https://cran.r-project.org/package=flextable
Rules-Requires-Root: no

Package: r-cran-flextable
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R functions for tabular reporting
 Create pretty tables for 'HTML', 'PDF', 'Microsoft Word' and 'Microsoft
 PowerPoint' documents from 'R Markdown'. Functions are provided to let
 users create tables, modify and format their content. It also extends
 package 'officer' that does not contain any feature for customized
 tabular reporting.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-bookdown (>= 0.40),
 r-cran-broom,
 r-cran-broom.mixed,
 r-cran-cluster,
 r-cran-commonmark,
 r-cran-ggplot2,
 r-cran-gtable,
 r-cran-jsonlite,
 r-cran-lme4,
 r-cran-magick,
 r-cran-mgcv,
 r-cran-nlme,
 r-cran-patchwork,
 r-cran-pdftools,
 r-cran-pkgdown (>= 2.0.0),
 r-cran-scales,
 r-cran-svglite,
 r-cran-testthat (>= 3.0.0),
 r-cran-withr,
 r-cran-xtable,
 pandoc,
 texlive-latex-base,
